Skip to content
GET /dashboard/{id}/widget/{key}/data

Path Parameters

idstring
required·

Resource id

keystring
required·

Resource id

Query Parameters

cursorstring
draftstring

Pass 1 to read the DRAFT (a manager previewing their edits). Requires edit access: 403 for anyone else. A dashboard with no draft answers the published one. Never cached.

Possible values:
1true
vcstring

Viewer table controls: base64url JSON, at most 4096 bytes. 400 viewer_control_invalid on a bad value.

tzstring

IANA time zone for date presets. An invalid zone falls back to UTC.

f.KEYstring

A dashboard filter value, once per value. A YYYY-MM-DD..YYYY-MM-DD range, a preset name or me for the caller. 400 filter_invalid on a bad value.

Response Body

cachedboolean
data
disclosureobject,null
errorobject,null
expires_atstring,null
fetched_atstring,null
kindstring
Possible values:
metriccharttablemarkdown
row_visibilitystring,null
staleboolean
statestring
Possible values:
okemptyno_accesssource_error
table_pageobject,null
throttledboolean
widget_keystring
curl -X GET 'https://api.elaichi.ai/dashboard/<id>/widget/<key>/data' \
  -H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
  -H 'Content-Type: application/json'
const response = await fetch('https://api.elaichi.ai/dashboard/<id>/widget/<key>/data', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import os
import requests

url = "https://api.elaichi.ai/dashboard/<id>/widget/<key>/data"
headers = {
    "Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
    "Content-Type": "application/json",
}

response = requests.get(url, headers=headers)
print(response.json())